<h2>Affichage coté client</h2>
<h3>Utilisation du hook du plugin</h3>
<p>Pour afficher la galerie il y a deux possiblités. Vous pouvez utiliser l'id de l'enregistrement ou le titre de la galerie.</p>


<p>Voici un exemple d'usage du hook dans une page statique. Ici on affiche la galerie dont l'id est 001.</p>
<pre>
<p>&lt;?php<br />
	global $plxShow;
	$o = array();
	$o["id"]="001";
	echo ($plxShow-&gt;callHook('spxwsimplegallery::getSimplegalleryID', $o));<br />
?&gt;</p>
</pre>
<p>Voici un exemple d'usage du hook dans une page statique. Ici on affiche le polaroid dont le titre est 'Mon premier polaroid'.</p>
<pre>
<p>&lt;?php<br />
	global $plxShow;
	$o = array();
	$o["title"]="Gal01";
	echo ($plxShow-&gt;callHook('spxwsimplegallery::getSimplegalleryTitle', $o));<br />
?&gt;</p>
</pre>
<p>Il est possible d'utiliser un shortcode à la condition d'avoir installer le plugin spxshortcodes <a href="http://www.secretsitebox.fr/site/index.php?categorie2/pluxml-plugins#post-10" target="_blank">ici</a> (version supérieur ou égal à 1.2) </p>
<p>Voici un exemple d'usage de shortcode. Ici on affiche le polaroid dont l'id est 001.</p>
<pre>
[SPXWSIMPLEGALLERY id=001 ]
</pre>
<p>Voici un exemple d'usage de shortcode. Ici on affiche le polaroid dont le title est 'Gal01'.</p>
<pre>
[SPXWSIMPLEGALLERY title='Gal01' ]
</pre>
<p>Voici les option possibles</p>


<pre>
// width : taille du conteneur div(default 100%)
// imgsize: largeur des miniatures en pixels (default 100) 
// imgpadding : padding entre les images (default 4) 
// type : type de galeries > square, masonry (default square) 
// col : responsive css bootstrap ex:col-lg-2 col-md-4 col-sm-6 col-xs-12 (<a href="http://getbootstrap.com/css/#grid">Voir sur le site bootstrap</a>) (default vide)
// pos : left, right, center (default vide) 
// colortheme : coleur du thème light ou dark (default light)
// displaytitle :  false(default true)

[SPXWSIMPLEGALLERY id=001 type="masonry" col="col-lg-2 col-md-4 col-sm-6 col-xs-12" imgsize="150" imgpadding="10" pos="center" width="50%"]
</pre>
