<?php
// to test http://secretsitebox.fr/themesspx/dev/lab2016-5-5/plugins/spxwsimplegallery/spxtynimce/template/template.php

define('PLX_ROOT', '../../../../');

//echo ("root = ".PLX_ROOT);


define('PLX_CORE', PLX_ROOT.'core/');
include(PLX_ROOT.'config.php');
include(PLX_CORE.'lib/config.php');

# On démarre la session
session_start();

# On inclut les librairies nécessaires
include(PLX_CORE.'lib/class.plx.date.php');
include(PLX_CORE.'lib/class.plx.glob.php');
include(PLX_CORE.'lib/class.plx.utils.php');
include(PLX_CORE.'lib/class.plx.capcha.php');
include(PLX_CORE.'lib/class.plx.erreur.php');
include(PLX_CORE.'lib/class.plx.record.php');
include(PLX_CORE.'lib/class.plx.motor.php');
include(PLX_CORE.'lib/class.plx.feed.php');
include(PLX_CORE.'lib/class.plx.show.php');
include(PLX_CORE.'lib/class.plx.encrypt.php');
include(PLX_CORE.'lib/class.plx.plugins.php');

# Creation de l'objet principal et lancement du traitement
$plxMotor = plxMotor::getInstance();
$plxShow = plxShow::getInstance();
$IMAGEPATH = $plxShow->plxMotor->aConf['images'];

//echo ("image path = ".$plxMotor->style);

$o= array();
$o["table"]="spxwsimplegallerys";
$o["filter"]="";
$tmp = $plxMotor->plxPlugins->aPlugins["spxdatas"];
		
$o["out"]="array";
$tmp2 = $tmp->getData($o);
/*		
echo("<pre>");
	print_r($tmp2);
echo("</pre>");
*/

	   
$js_array_simplegallerys = json_encode($tmp2);


$plugin = "simplegallery";
if(isset($_GET["plugin"])) $plugin = $_GET["plugin"];

?>


<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>
    Simple Gallery
  </title>

  <link href="./css/bootstrap.min.css" rel="stylesheet">
  <!-- Bootstrap theme -->
  <link href="./css/bootstrap-theme.min.css" rel="stylesheet">
  
  <link href="./css/font-awesome.min.css" rel="stylesheet">
  
  <!-- Bootstrap theme -->
  <link href="./css/custom.css" rel="stylesheet">
  
	<!--[if lt IE 9]>
	<script type="text/javascript" src="http://html5shiv.googlecode.com/svn/trunk/html5.js">
	</script>
	<![endif]-->
  </head>
  <body>
   <div class="container osc-dialog oscitas-easy-bootstrap-shortcode mfp-ebsp" >
        <div class="row" id="template-container"></div>
    </div>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
  <script>window.jQuery || document.write('<script src="./js/vendor/jquery.js"><\/script>')</script>
 
  <script src="./js/vendor/bootstrap.min.js"></script>
  <script src="./js/vendor/mustache.js"></script>
  <script src="./../<?php echo $plugin."/js/".$plugin ?>.js"></script>
  <script>
   var osimplegallerys = <?php echo $js_array_simplegallerys ?>;
  console.dir (osimplegallerys);
  </script>
  <script src="./js/simplegallery_main.js"></script>
  
  </body>
</html>
